Subject: Re: bug#55919: 29.0.50; package-menu-filter-by-archive fails to exclude nongnu when filtering for gnu

From: Stefan Kangas <[email-masked]>
Date: Mon, 13 Jun 2022 13:48:14 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> But does it make sense to use a regexp here?  I think that's pretty
> surprising -- there aren't that many archives out there, and while a
> regexp is more flexible (i.e., you can say \`gnu\|melpa to get both of
> them), I don't think anybody would actually type anything like that.

I can't remember any real reason for why I made it a regexp; I suspect
it was just an accident (as in: "why not?").

Changing it makes sense to me, as you will scarcely have any need for
searching over the three or so archives that exist.